# ==================================================================
# Plugins::SimplePages - Auto Generated Install Module
#
#   Plugins::SimplePages
#   Author  : Dat Tan Truong
#   Version : 1.0
#   Updated : Wed Jan 18 08:46:24 2006
#
# ==================================================================
#

package Plugins::SimplePages;
# ==================================================================
use strict;
use vars  qw/$VERSION $DEBUG $NAME $META/;
use GT::Base;
use GT::Plugins qw/STOP CONTINUE/;
use Links qw/:objects/;

$VERSION = '1.0';
$DEBUG   = 0;
$NAME    = 'SimplePages';
# Inhert from base class for debug and error methods
@Plugins::SimplePages::ISA = qw(GT::Base);

$META = {
    'author' => 'Dat Tan Truong',
    'description' => 'With this plugin, admin can built other static pages with almost up-to-date information.',
    'license' => 'Commercial',
    'prog_ver' => '3.0.4',
    'url' => 'http://cgito.net',
    'version' => '1.0'
};


sub pre_install {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they install the plugin.
#
    my $inst_msg = '';

    return $inst_msg;
}

sub pre_uninstall {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they remove the plugin.
#
    my $uninst_msg = '';

    return $uninst_msg;
}

sub install {
# -----------------------------------------------------------------------------
# This function does the actual installation.  Its first argument is a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc.  The second argument is a GT::Tar object which you can use to access any
# files in your plugin module.
#
# You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::SimplePages::error
#
    my ($mgr, $tar) = @_;
    
    $mgr->install_hooks('SimplePages', [['create_home', 'POST', 'Plugins::SimplePages::build_pages', '']]);
    $mgr->install_menu('SimplePages', [['About', 'admin.cgi?do=plugin&plugin=SimplePages&func=showabout']]);
    $mgr->install_options('SimplePages', [['Pages', 'terms.html,contact.html,advertising.html', 'Please enter the static pages to be built. Each one is separated by a comma', 'TEXT', [], [], '']]);
    ;
    return "The plugin has been successfully installed!";
}

sub uninstall {
# -----------------------------------------------------------------------------
# This function removes the plugin.  Its first argument is also a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc. You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::SimplePages::error
#
    my $mgr = shift;
    
    $mgr->uninstall_hooks('SimplePages', [['create_home', 'POST', 'Plugins::SimplePages::build_pages', '']]);    $mgr->uninstall_menu('SimplePages', [['About', 'admin.cgi?do=plugin&plugin=SimplePages&func=showabout']]);
    $mgr->uninstall_options('SimplePages', [['Pages', 'terms.html,contact.html,advertising.html', 'Please enter the static pages to be built. Each one is separated by a comma', 'TEXT', [], [], '']]);
    ;
    return "The plugin has been successfully removed!";
}

1;
