# ==================================================================
# Plugins::SimplePages - Auto Generated Program Module
#
#   Plugins::SimplePages
#   Author  : Dat Tan Truong
#   Version : 1.0
#   Updated : Wed Jan 18 08:46:24 2006
#
# ==================================================================
#

package Plugins::SimplePages;
# ==================================================================

use strict;
use GT::Base;
use GT::Plugins qw/STOP CONTINUE/;
use Links::Plugins;
use Links qw/:objects/;

# Inherit from base class for debug and error methods
@Plugins::SimplePages::ISA = qw(GT::Base);

# Your code begins here.


# PLUGIN HOOKS
# ===================================================================


sub build_pages {
# -----------------------------------------------------------------------------
# This subroutine will be called whenever the hook 'create_home' is run.  You
# should call $PLG->action(STOP) if you don't want the regular
# 'create_home' code to run, otherwise the code will continue as normal.
#
    my (@args) = @_;

	### do no thing special but trigger this to create static page
	my @pages = split(',',Links::Plugins::get_plugin_user_cfg('SimplePages')->{Pages});
	foreach my $p(@pages){
		next unless($p =~ /\w+\.\w+$/);
		print qq|Creating page:<a href="$CFG->{build_static_url}/$p" target=_blank>$p</a>....|;
		my $des = "$CFG->{build_static_path}/$p";
		open(my $fh,">$des") or next;
		print $fh Links::user_page($p,{%$CFG});
		close($fh);

		print "Done.\n<br>";

	}

    return @args;
}

# ADMIN MENU OPTIONS
# ===================================================================

sub showabout {
# -------------------------------------------------------------------
# This subroutine will be called whenever the user clicks on 'About' in the
# admin menu.  Remember, you need to print your own HTTP header; to do so you
# can use:
#
   print $IN->header();
#
	print qq|
<h1>SimplePages Plugin</h1>
		<p align=left>
		With this, admin can add more static pages like contact, terms, etc into the template set and have the building function generated them with Glinks settings.<p>
<p align=left>
		That's it!<br>
	Cheers,<br>
		Dat at dat\@cgito.net<br>
		http://cgito.net
		</p>

	
	
	|;

}

# Always end with a 1.
1;
